using System;
using Prism.Events;

namespace Valg.EVA.Skanning.Scan.ReadSoftContracts.Events
{
    public class ScanJobRequestedStartedEvent : PubSubEvent<ScanJobRequestedStartedEventArgs>
    {
        public DateTime CreationTime = DateTime.Now;

        public ScanJobRequestedStartedEvent() : base()
        {
            System.Diagnostics.Debug.WriteLine($"*** Constructor ***; my creation time was {CreationTime}");
        }

        public override void Publish(ScanJobRequestedStartedEventArgs payload)
        {
            System.Diagnostics.Debug.WriteLine($"*** Publishing ***; my creation time was {CreationTime}");
            base.Publish(payload);
        }

        public override void Unsubscribe(Action<ScanJobRequestedStartedEventArgs> subscriber)
        {
            System.Diagnostics.Debug.WriteLine($"*** Unsubscribing ***; my creation time was {CreationTime}");
            base.Unsubscribe(subscriber);
        }
    }
}
